header.home {
  color: $whitest_white;
}

#home {
  background: $blood_burst;
  color: $whitest_white;

  #mesh {
    position: absolute;
    top: 7%;
    left: -15%;
    width: 55%;
    height: 70%;
    transform: rotateZ(20deg);
    animation: fade_in 5000ms ease-in;

    @media (max-width: $mobile-bp) {
      width: 93%;
      height: 80%;
      opacity: 0.6;
    }

    #mesh-anim {
      height: 100%;
      width: 100%;
    }
  }

  #welcome {
    position: relative;
    top: 23vh;
    left: 50%;
    width: 46%;
    font-size: 4vw;
    line-height: 1.2;

    @media (max-width: $mobile-bp) {
      width: calc(100% - 40px);
      top: calc(100vh - (271px * 1.5));
      left: 0;
      font-size: 9vw;
      padding: 20px;
    }

    h1 {
      position: relative;
      margin: 0;

      .letter {
        font-family: inherit;
      }
    }

    .hr {
      width: 30%;
      transition: all 500ms 300ms ease-out;
      opacity: 1;

      &.out {
        transform: translateY(-5px);
      }
    }

    #me-short {
      font-size: 0.5em;
      margin: 0;
      transition: all 700ms 500ms ease-out;
      opacity: 1;

      &.out {
        transform: translateY(-15px);
      }
    }
  }
}

.cursor {
  height: 4.8vw;//10vh;//5vw;//120px;
  width: 10px;
  background: white;
  display: inline-block;
  margin: 3vh 5px 0;
  position: absolute;
  transition: all 500ms;

  @media (max-width: $mobile-bp) {
    height: 10.8vh;
    width: 4px;
    margin: 10px 5px 0;
  }


  &.play {
    animation: blink_cursor 700ms infinite;
  }

  &.fade-out {
    display: none;
    animation-play-state: paused;
  }
}

@keyframes blink_cursor {
  0%   {opacity: 0}
  40%  {opacity: 1}
  60%  {opacity: 1}
  100% {opacity: 0}
}

@keyframes fade_in {
  0%   {opacity: 0}
  100% {opacity: 1}
}
